PLSRTest-class {baseline} | R Documentation

## Class "PLSRTest"

### Description

A class describing a PLSR prediction test. To run the test, the "pls" package must be installed.

### Objects from the Class

Objects can be created by calls of the form `new("PLSRTest", ...)`.

### Slots

`ncomp`:

  Integer vector. The number of PLSR components to test

`cvsegments`:

  A list of the segments to use in the cross-validation

### Extends

Class `predictionTest`, directly.

### Methods

runTest

  `signature(object = "PLSRTest")`: Run the test

### Author(s)

Bjørn-Helge Mevik and Krisitan Hovde Liland

### See Also

The base class `predictionTest`. The `runTest` function. The `plsr` function from the "pls" package.

### Examples

    showClass("PLSRTest")

[Package baseline version 1.2-1 Index]